# Class LabelledCount

java.lang.Object
uk.ac.starlink.topcat.LabelledCount

public class LabelledCount extends Object
Aggregates an integer with a label.

Since:
  17 Jul 2025
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LabelledCount(String label, long count)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`long`
`getCount()`
Returns the count.
`String`
`getLabel()`
Returns the label.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LabelledCount

public LabelledCount(String label, long count)
Constructor.

Parameters:
  `label` - label
  `count` - count

## Method Details

### getLabel

public String getLabel()
Returns the label.

Returns:
  label

### getCount

public long getCount()
Returns the count.

Returns:
  count; negative values indicate a missing value